# Class Constants

java.lang.Object
com.google.adk.utils.Constants

public class Constants extends Object
Constants used across Firestore session service tests.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `APP_STATE_COLLECTION`
  agent app state collection
  `static final String`
  `EVENTS_SUBCOLLECTION_NAME`
  user events collections
  `static final String`
  `KEY_APP_NAME`
  appName
  `static final String`
  `KEY_AUTHOR`
  author
  `static final String`
  `KEY_ID`
  id
  `static final String`
  `KEY_MODEL`
  model
  `static final String`
  `KEY_STATE`
  state
  `static final String`
  `KEY_TIMESTAMP`
  timestamp
  `static final String`
  `KEY_UPDATE_TIME`
  updateTime
  `static final String`
  `KEY_USER`
  user
  `static final String`
  `KEY_USER_ID`
  userId
  `static final String`
  `ROOT_COLLECTION_NAME`
  root collection name fof firestore
  `static final String`
  `SESSION_COLLECTION_NAME`
  session collection name
  `static final Set<String>`
  `STOP_WORDS`
  Stop words for keyword extraction, loaded from properties.
  `static final String`
  `USER_STATE_COLLECTION`
  user state colection
  `static final Pattern`
  `WORD_PATTERN`
  Pattern to match words for keyword extraction.

- ## Method Summary

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### EVENTS_SUBCOLLECTION_NAME

    public static final String EVENTS_SUBCOLLECTION_NAME
    user events collections
    See Also:
      - Constant Field Values

  - ### APP_STATE_COLLECTION

    public static final String APP_STATE_COLLECTION
    agent app state collection
    See Also:
      - Constant Field Values

  - ### USER_STATE_COLLECTION

    public static final String USER_STATE_COLLECTION
    user state colection
    See Also:
      - Constant Field Values

  - ### SESSION_COLLECTION_NAME

    public static final String SESSION_COLLECTION_NAME
    session collection name
    See Also:
      - Constant Field Values

  - ### KEY_USER_ID

    public static final String KEY_USER_ID
    userId
    See Also:
      - Constant Field Values

  - ### KEY_APP_NAME

    public static final String KEY_APP_NAME
    appName
    See Also:
      - Constant Field Values

  - ### KEY_TIMESTAMP

    public static final String KEY_TIMESTAMP
    timestamp
    See Also:
      - Constant Field Values

  - ### KEY_STATE

    public static final String KEY_STATE
    state
    See Also:
      - Constant Field Values

  - ### KEY_ID

    public static final String KEY_ID
    id
    See Also:
      - Constant Field Values

  - ### KEY_UPDATE_TIME

    public static final String KEY_UPDATE_TIME
    updateTime
    See Also:
      - Constant Field Values

  - ### KEY_USER

    public static final String KEY_USER
    user
    See Also:
      - Constant Field Values

  - ### KEY_MODEL

    public static final String KEY_MODEL
    model
    See Also:
      - Constant Field Values

  - ### KEY_AUTHOR

    public static final String KEY_AUTHOR
    author
    See Also:
      - Constant Field Values

  - ### STOP_WORDS

    public static final Set<String> STOP_WORDS
    Stop words for keyword extraction, loaded from properties.

  - ### WORD_PATTERN

    public static final Pattern WORD_PATTERN
    Pattern to match words for keyword extraction.

  - ### ROOT_COLLECTION_NAME

    public static final String ROOT_COLLECTION_NAME
    root collection name fof firestore